Package org.drinkless.tdlib

# Class TdApi.VerificationStatus

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.VerificationStatus

Enclosing class:
  `TdApi`

public static class TdApi.VerificationStatus extends TdApi.Object
Contains information about verification status of a chat or a user.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `botVerificationIconCustomEmojiId`
  Identifier of the custom emoji to be shown as verification sign provided by a bot for the user; 0 if none.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `isFake`
  True, if the chat or the user is marked as fake by Telegram.
  `boolean`
  `isScam`
  True, if the chat or the user is marked as scam by Telegram.
  `boolean`
  `isVerified`
  True, if the chat or the user is verified by Telegram.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VerificationStatus()`
  Contains information about verification status of a chat or a user.
  `VerificationStatus(boolean isVerified, boolean isScam, boolean isFake, long botVerificationIconCustomEmojiId)`
  Contains information about verification status of a chat or a user.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### isVerified

    public boolean isVerified
    True, if the chat or the user is verified by Telegram.

  - ### isScam

    public boolean isScam
    True, if the chat or the user is marked as scam by Telegram.

  - ### isFake

    public boolean isFake
    True, if the chat or the user is marked as fake by Telegram.

  - ### botVerificationIconCustomEmojiId

    public long botVerificationIconCustomEmojiId
    Identifier of the custom emoji to be shown as verification sign provided by a bot for the user; 0 if none.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### VerificationStatus

    public VerificationStatus()
    Contains information about verification status of a chat or a user.

  - ### VerificationStatus

    public VerificationStatus(boolean isVerified, boolean isScam, boolean isFake, long botVerificationIconCustomEmojiId)
    Contains information about verification status of a chat or a user.
    Parameters:
      `isVerified` - True, if the chat or the user is verified by Telegram.
      `isScam` - True, if the chat or the user is marked as scam by Telegram.
      `isFake` - True, if the chat or the user is marked as fake by Telegram.
      `botVerificationIconCustomEmojiId` - Identifier of the custom emoji to be shown as verification sign provided by a bot for the user; 0 if none.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR